Subject: Re: [TLS] Last Call: <draft-kanno-tls-camellia-00.txt> (Addition of the Camellia Cipher Suites to Transport Layer Security (TLS)) to Informational RFC

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Wed, 23 Feb 2011 19:00:45 +0100

On 02/23/2011 06:29 PM, The IESG wrote:
> 
> The IESG has received a request from an individual submitter to
> consider the following document: - 'Addition of the Camellia Cipher
> Suites to Transport Layer Security (TLS)' 
> <draft-kanno-tls-camellia-00.txt> as an Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and
> solicits final comments on this action. Please send substantive
> comments to the [email-masked] mailing lists by 2011-03-23.
> Exceptionally, comments may be sent to [email-masked] instead. In
> either case, please retain the beginning of the Subject line to allow
> automated sorting.
> 
> The file can be obtained via 
> http://datatracker.ietf.org/doc/draft-kanno-tls-camellia/

I see that this document defines ciphersuites with a PRF based on
SHA384... However it does not specify the verify_data_length, thus
the default value of 12 applies, and the SHA384 PRF is being truncated
to 96 bits. Is this intentional? If yes, then what is the purpose to
use the SHA384 as PRF?

regards,
Nikos

---

From: Satoru Kanno <[email-masked]>
Date: Mon, 28 Feb 2011 15:35:41 +0900

> to 96 bits. Is this intentional? If yes, then what is the purpose to

Hi Nikos,

Thank you for your comment.

I think that the verify_data_length with a PRF based on
SHA384 is specified in RFC5246.
As a result, I refer to RFC5246 as well as other documents( e.g., 
RFC5289, RFC5487, and draft-nsri-tls-aria etc.,) in our document.

I think that your comment is not only our draft but all documents 
specifying the PRF base on SHA384 for TLS.

What do you think?

Regards,
Satoru

> regards,
> Nikos
>
>
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>

-- 
Satoru Kanno

Security Business Unit
Mobile and Security Solution Business Group
NTT Software Corporation

e-mail: [email-masked]

---

From: Nikos Mavrogiannopoulos <[email-masked]>
Date: Mon, 28 Feb 2011 09:45:17 +0100

On Mon, Feb 28, 2011 at 7:35 AM, Satoru Kanno
<[email-masked]> wrote:

> As a result, I refer to RFC5246 as well as other documents( e.g., RFC5289,
> RFC5487, and draft-nsri-tls-aria etc.,) in our document.
> I think that your comment is not only our draft but all documents specifying
> the PRF base on SHA384 for TLS.

Yours was the first document I noticed to use SHA384 as PRF. If there
are other documents that specify that, and don't set the verify_data_length
size then it applies to those as well. (just noticed that applies to RFC5288
as well).

regards,
Nikos